import { t } from "./base"
import { z } from "zod"

export const directorRouter = t.router({
    switchRoom: t.procedure
        .input(z.object({
            roomId: z.string()
        }))
        .mutation(async ({ input, ctx }) => {
            ctx.game.switchRoom(input.roomId)
        }),

    removeInteractionQueueItem: t.procedure
        .input(z.object({
            id: z.string()
        }))
        .mutation(async ({ input, ctx }) => {
            ctx.game.removeInteractionQueueItem(input.id)
        }),
})