import { t } from "./base"
import { z } from "zod"
import { interactionSchema } from "../../shared/script/types"
import { game } from "../game"

export const playerRouter = t.router({
    voteForInteraction: t.procedure
        .input(z.object({
            interaction: interactionSchema
        }))
        .mutation(async ({ input, ctx }) => {
            game.addInteractionVote(input.interaction)
        }),

    removeInteractionVote: t.procedure
        .input(z.object({
            queueItemId: z.string()
        }))
        .mutation(async ({ input, ctx }) => {
            game.removeInteractionVote(input.queueItemId)
        }),
})