import type { Room } from "../types"
import { cSet } from "../../util"

export const roomHauseingang: Room = {
    id: "hauseingang",
    label: "Hauseingang",
    initialObjects: cSet(
        {
            id: "schlüssel",
            label: "Schlüssel",
        },
        {
            id: "haustür",
            label: "Haustür"
        }
    ),
    hiddenObjects: cSet(
        {
            id: "offene-haustür",
            label: "Offene Haustür"
        }
    ),
    combinations: cSet(
        {
            id: "open-door",
            inputs: cSet(
                {
                    objectId: "schlüssel",
                    isConsumed: false
                },
                {
                    objectId: "haustür",
                    isConsumed: true
                }
            ),
            outputIds: cSet(
                "offene-haustür"
            )
        }
    )
}