import type { Room } from "../types"
import { cSet } from "../../util"

export const roomKueche: Room = {
    id: "küche",
    label: "Küche",
    initialObjects: cSet(
        {
            id: "schüssel",
            label: "Schüssel"
        },
        {
            id: "kühlschrank",
            label: "Kühlschrank"
        },
        {
            id: "kakaopulver",
            label: "Kakaopulver"
        }
    ),
    hiddenObjects: cSet(
        {
            id: "milch",
            label: "Milch"
        },
        {
            id: "kakao",
            label: "Kakao"
        }
    ),
    combinations: cSet(
        {
            id: "kakao",
            inputs: cSet(
                {
                    objectId: "milch",
                    isConsumed: true
                },
                {
                    objectId: "kakaopulver",
                    isConsumed: false
                }
            ),
            outputIds: cSet(
                "kakao"
            )
        }
    )
}